package com.bonus.canteen.core.account.dto;

import io.swagger.annotations.ApiModelProperty;

import java.time.LocalDateTime;

public class AccCardDeductionPageDTO {
   @ApiModelProperty("人员姓名")
   private String custName;
   @ApiModelProperty("卡序列号(物理卡号)")
   private String serialNum;
   @ApiModelProperty("记录类型 1-工本费扣除 2-押金扣除")
   private Integer recordType;
   @ApiModelProperty("开始时间")
   private LocalDateTime startTime;
   @ApiModelProperty("结束时间")
   private LocalDateTime endTime;

   public String getCustName() {
      return this.custName;
   }

   public String getSerialNum() {
      return this.serialNum;
   }

   public Integer getRecordType() {
      return this.recordType;
   }

   public LocalDateTime getStartTime() {
      return this.startTime;
   }

   public LocalDateTime getEndTime() {
      return this.endTime;
   }

   public void setCustName(final String custName) {
      this.custName = custName;
   }

   public void setSerialNum(final String serialNum) {
      this.serialNum = serialNum;
   }

   public void setRecordType(final Integer recordType) {
      this.recordType = recordType;
   }

   public void setStartTime(final LocalDateTime startTime) {
      this.startTime = startTime;
   }

   public void setEndTime(final LocalDateTime endTime) {
      this.endTime = endTime;
   }


}
